=== bin/Makefile ===
# vim: tabstop=8 shiftwidth=8 noexpandtab:

TOPDIR = $(realpath ..)

SUBDIR = ksh mandelbrot ps \
	 sandbox setwinsize stty test_rtc tetris utest

all: build

include $(TOPDIR)/build/common.mk
