=== contrib/Makefile ===
# vim: tabstop=8 shiftwidth=8 noexpandtab:

TOPDIR = $(realpath ..)

SUBDIR = atto lua sbase sinit ubase # doom mish evtest

all: build

include $(TOPDIR)/build/common.mk
