=== lib/Makefile ===
# vim: tabstop=8 shiftwidth=8 noexpandtab:

TOPDIR = $(realpath ..)

SUBDIR = csu libc libm libterminfo libutil

all: build

include $(TOPDIR)/build/common.mk
