=== usr.bin/Makefile ===
# vim: tabstop=8 shiftwidth=8 noexpandtab:

TOPDIR = $(realpath ..)

SUBDIR = script

all: build

include $(TOPDIR)/build/common.mk
