=== bin/mandelbrot/Makefile ===
TOPDIR = $(realpath ../..)

PROGRAM = mandelbrot

include $(TOPDIR)/build/build.prog.mk
