=== bin/ps/Makefile ===
TOPDIR = $(realpath ../..)

SCRIPT = ps

include $(TOPDIR)/build/build.script.mk
