=== toolchain/openocd-mimiker/debian/control ===
Source: openocd-mimiker
Section: embedded
Priority: optional
Maintainer: Krystian Bacławski <cahirwpz@cs.uni.wroc.pl>
Build-Depends: debhelper (>= 9)
# Standards-Version: 3.9.8
Homepage: http://mimiker.ii.uni.wroc.pl

Package: openocd-mimiker
Architecture: amd64
Depends: ${shlibs:Depends}
Description: OpenOCD for Mimiker OS development.
