=== toolchain/gnu/debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

build:
build-indep:
build-arch:

binary:
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_install
	dh_installman
	dh_link
	dh_strip -Xlibgcc.a -Xlibgcov.a
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:
binary-arch:

clean:
	dh_clean

.PHONY: build clean binary-indep binary-arch binary install configure
